POST
RFQ - Request for Quote
Solicits a quote for the requested size in base or counter currency.
The returned quote is valid until expirationDate. Use POST /accounts/{accountId}/rfq/order with the
quote id to place an order priced off this quote. Requesting an identical quote (same account,
product, side, quantity and quantity currency) while an identical quote is still active returns
the existing quote.
Path Params
-
accountIdstring requiredThe ID of the account
Body Params
object
-
productstring requiredProduct name inBASE-QUOTEformat (e.g.BTC-USD). Must be an RFQ-supported product. -
sidestring enum requiredThe side of the orderbuysell -
quantitystring requiredRequested quantity, denominated inquantityCurrency -
quantityCurrencystring requiredCurrency the quantity is denominated in (base or quote currency of the product)
Responses
200
An RFQ quote
Response Body
object
-
idstring uuidID of the RFQ quote. Pass it asquoteIdwhen placing an RFQ order. -
productstringProduct name -
sidestring enumThe side of the orderbuysell -
quotedPricestringAll-in price the client pays (or receives, on sells) -
quotedQuantitystringQuantity denominated inquotedQuantityCurrency -
quotedQuantityCurrencystringCurrency the quote is denominated in -
quantityCurrencystringCurrency of the client-requested quantity (echoes the request) -
quantitystringClient-requested quantity (echoes the request) -
expirationDatestring date-timeTime after which the quote can no longer be used to place an order
400
Bad request - Invalid quote parameters
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
401
Unauthorized - Invalid or missing authentication
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
403
Forbidden - RFQ disabled for your enterprise, or the product does not support RFQ
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
422
Unprocessable Entity - JSON payload is improperly formatted
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
429
Too Many Requests - Rate limit exceeded
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
500
Internal Server Error
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
503
No liquidity - No valid quote before the timeout
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-